#ifndef MODEL_CONFIG_H
#define MODEL_CONFIG_H

#include <string>

#include "kylin-ai/common/enums.h"

struct _ChatModelConfig {
    std::string name_{};
    ModelDeployType type_{ModelDeployType(-1)};
    // topK_默认范围是(0, 1.0]，百度默认0.8，讯飞默认0.5，较高的数值会使输出更加
    // 随机，而较低的数值会使其更加集中和确定
    double topK_{0.0};
};

std::string modelConfigToJson(const _ChatModelConfig &modelconfig);

#endif  // MODEL_CONFIG_H